org.apache.xml.serialize

## Class EncodingInfo

- java.lang.Object
- - org.apache.xml.serialize.EncodingInfo

- Deprecated.
  This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML. See the Xerces documentation for more information.

      public class EncodingInfo
      extends java.lang.Object

  This class represents an encoding.
  Version:
    $Id: EncodingInfo.java 699902 2008-09-28 21:40:49Z mrglavas $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncodingInfo(java.lang.String ianaName, java.lang.String javaName, int lastPrintable)` Deprecated. Creates new `EncodingInfo` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIANAName()` Deprecated. Returns a MIME charset name of this encoding.
    `java.io.Writer` | `getWriter(java.io.OutputStream output)` Deprecated. Returns a writer for this encoding based on an output stream.
    `boolean` | `isPrintable(char ch)` Deprecated. Checks whether the specified character is printable or not in this encoding.
    `static void` | `testJavaEncodingName(java.lang.String name)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncodingInfo

          public EncodingInfo(java.lang.String ianaName,
                      java.lang.String javaName,
                      int lastPrintable)

      Deprecated.
      Creates new `EncodingInfo` instance.

  - ### Method Detail

    - #### getIANAName

          public java.lang.String getIANAName()

      Deprecated.
      Returns a MIME charset name of this encoding.

    - #### getWriter

          public java.io.Writer getWriter(java.io.OutputStream output)
                                   throws java.io.UnsupportedEncodingException

      Deprecated.
      Returns a writer for this encoding based on an output stream.
      Returns:
        A suitable writer
      Throws:
        `java.io.UnsupportedEncodingException` - There is no convertor to support this encoding

    - #### isPrintable

          public boolean isPrintable(char ch)

      Deprecated.
      Checks whether the specified character is printable or not in this encoding.
      Parameters:
        `ch` - a code point (0-0x10ffff)

    - #### testJavaEncodingName

          public static void testJavaEncodingName(java.lang.String name)
                                           throws java.io.UnsupportedEncodingException

      Deprecated.
      Throws:
        `java.io.UnsupportedEncodingException`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.